{% load i18n %}

<article class="section-board__section
                {% if not detail_url_audio and not detail_url_video %}
                  section-board__section--grow
                {% endif %}
                titled-content titled-content--responsive-spacing recordings-panel">
  <h1 class="titled-content__title recordings-panel__title">
    <span class="titled-content__title-text">{{ title }}</span>
    <span class="titled-content__title-line"></span>
  </h1>
  {% if audio_recordings and video_recordings %}
    <div class="titled-content__content content-switch">
      {% trans "CD" as CD_TITLE %}
      {% trans "YouTube" as YOUTUBE_TITLE %}
      {% with section_title=CD_TITLE %}
        <input class="content-switch__radiobutton"
               type="radio"
               name="switch"
               id="cd"
               aria-hidden="true"
               {% if not initial_tab or initial_tab == 'cd' %}
                 checked
               {% endif %}/>
        <label class="content-switch__label" for="cd" aria-hidden="true">{{ section_title }}</label>
        <section class="content-switch__section">
          <h2 class="content-switch__section-title">{{ section_title }}</h2>
          {% include './cover_grid.html' with detail_url=detail_url_audio %}

        </section>
      {% endwith %}
      {% with section_title=YOUTUBE_TITLE %}
        <input class="content-switch__radiobutton"
               type="radio"
               name="switch"
               id="youtube"
               aria-hidden="true"
               {% if initial_tab == 'youtube' %}
                 checked
               {% endif %}/>
        <label class="content-switch__label" for="youtube" aria-hidden="true">{{ section_title }}</label>
        <section class="content-switch__section">
          <h2 class="content-switch__section-title">{{ section_title }}</h2>
          {% include './video_grid.html' with detail_url=detail_url_video %}

        </section>
      {% endwith %}
    </div>
  {% else %}
    <div class="titled-content__content">
      {% include './cover_grid.html' with detail_url=detail_url_audio %}

    </div>
  {% endif %}
</article>
